"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _NavigationBar = _interopRequireWildcard(require("../NavigationBar"));

var _OffsetNavSlide = _interopRequireDefault(require("../OffsetNavSlide"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our OffsetNavSlide component
 */
var children = /*#__PURE__*/_react.default.createElement("h1", null, "Test");

describe('<OffsetNavSlide />', function () {
  var theme;
  var props;
  beforeEach(function () {
    theme = _NavigationBar.defaultProps.theme; // eslint-disable-line prefer-destructuring

    props = Object.assign(_NavigationBar.defaultProps, {
      children: children
    });
  });
  it('should render an OffsetNavSlide', function () {
    var renderedComponent = (0, _enzyme.shallow)( /*#__PURE__*/_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, /*#__PURE__*/_react.default.createElement(_NavigationBar.default, props, /*#__PURE__*/_react.default.createElement(_OffsetNavSlide.default, null, children))));
    expect(renderedComponent.find('OffsetNavSlide').length).toEqual(1);
  });
  it('should render an OffsetNavPush with show xs', function () {
    var renderedComponent = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, /*#__PURE__*/_react.default.createElement(_NavigationBar.default, Object.assign(props, {
      offsetNav: {
        show: 'xs'
      }
    }), children)));
    expect(renderedComponent.find('OffsetNavSlide').props().show).toEqual('xs');
  });
});